.layout {
    min-height: 100vh;
    background-color: #111;
    color: #FFF;
}

.header-content .header {
    height: 140px;
    display: flex;
    align-items: flex-end;
    background-color: #252525;
}

.header-content .header > div {
    width: 100%;
    max-width: 1128px;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
}

.header-content .header > div a {
    width: max-content;
}

.header-content .header > div a img {
    height: 60px;
}

.header-content .header ul {
    margin: 0;
    display: flex;
}

.header-content .header ul li {
    display: flex;
}

.header-content .header ul li:first-of-type a {
    padding-left: 0;
}

.header-content .header ul li a {
    height: 60px;
    font-size: 18px;
    line-height: 18px;
    color: #FFF;
    padding: 0 15px;
    text-decoration: none;
    text-transform: capitalize;
    display: flex;
    align-items: center;
}

.header-content .header ul li a.active,
.header-content .header ul li a:hover {
    background-image: linear-gradient(#fff,#fff);
    background-clip: content-box;
    background-color: unset;
    background-position: 0 100%;
    background-repeat: no-repeat;
    background-size: 100% 3px;
}

.header-content .header ul li a.active {
    font-weight: 700;
}

.header-content .header .mobile-bar-icon {
    display: none;
    font-size: 32px;
}

.data-content {
    width: 100%;
    max-width: 1128px;
    min-height: calc(100vh - 280px);
    margin: 0 auto;
    padding: 40px 0 60px 0;
}

.articles-content {
    display: grid;
    row-gap: 20px;
    column-gap: 20px;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: auto;
}

.article-href {
    text-decoration: none;
    color: #FFF;
}

.article {
    width: 266px;
    height: 100%;
    position: relative;
    background-color: #252525;
    border: 7px solid rgba(255, 255, 255, .065);
    text-decoration: none;
}

.article img {
    width: 252px;
    height: 134px;
    object-fit: cover;
}

.article .article-view {
    margin-left: 10px;
}

.article .article-title,
.article .article-desc {
    margin: 10px;
    word-break: break-word;
    text-align: left;
}

.article .article-desc {
    font-size: 1.1rem;
    line-height: 1.2;
}

.article .article-title {
    font-size: 1.3rem;
    font-weight: 600;
}

.aritcle-cat {
    position: absolute;
    top: 7px;
    left: 7px;
    border-radius: 15px;
    font-size: 16px;
    padding: 5px 7px;
    color: #FFF;
    background-color: #071762;
    text-transform: capitalize;
}

.pagination {
    display: flex;
    justify-content: center;
    margin-top: 40px;
}

.pagination ul {
    margin: 0;
    list-style-type: none;
    display: flex;
    gap: 10px;
}

.pagination li {
    display: flex;
}

.pagination li.active a {
    background-color: rgba(255, 255, 255, 0.065);
}

.pagination a {
    min-width: 40px;
    height: 40px;
    color: #FFF;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    font-size: 16px;
    padding: 7px;
    border: 1px solid rgba(255, 255, 255, 0.065);
    border-radius: 5px;
}

.footer-content .footer {
    height: 140px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #252525;
}

.footer-content .footer > div {
    width: 100%;
    max-width: 1128px;
    display: flex;
    flex-direction: row;
    margin: 0 auto;
}

.footer-content .footer > div a.home-page-link {
    width: max-content;
    display: flex;
    align-items: center;
    margin-top: 6px;
}

.footer-content .footer > div a.home-page-link img {
    height: 60px;
}

.footer-content .footer .footer-pages {
    width: 100%;
    display: flex;
    justify-content: center;
}

.footer-content .footer .footer-pages div {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.footer-content .footer .footer-pages div a {
    color: #FFF;
    font-size: 18px;
    text-decoration: none;
}

.footer-content .footer .footer-pages div .mailto {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.footer-content .footer .footer-pages div .mailto i {
    font-size: 16px;
}

.not-found {
    display: flex;
    justify-content: center;
    align-items: center;
    height: calc(100vh - 380px);
    font-size: 40px;
    margin: auto;
}

.article-view span {
    margin-left: 5px;
}

ul.pages-style {
    list-style-type: decimal;
    margin-left: 30px;
    margin-top: 30px;
}

ul.pages-style li {
    margin-top: 10px;
}

ul.pages-style li h2 {
    margin-bottom: 5px;
}

.most-read-similar {
    margin-top: 60px;
}

.most-read-similar > h3 {
    font-size: 1.5rem;
    text-align: center;
    margin-bottom: 30px;
}

@media (prefers-color-scheme: light) {
    .layout {
        background-color: #FFF;
        color: #111;
    }

    .layout .pagination ul li.active > a {
        background-color: rgba(37, 37, 37, 0.065);
    }

    .layout .pagination ul li > a {
        color: #111;
        border-color: rgba(37, 37, 37, .065);
    }

    .layout .header-content .header,
    .layout .footer-content .footer {
        background-color: #C3C3C3;
    }

    .layout .header-content .header a,
    .layout .footer .footer-pages > div > a,
    .layout .footer .footer-pages > div > div > a {
        color: #111;
    }

    .layout ul > li a.active,
    .layout ul > li a:hover {
        background-image: linear-gradient(#071762,#071762);
    }

    .layout a.article-href {
        color: #111;
    }

    .layout a.article-href .article {
        background-color: #FFF;
        border-color: rgba(37, 37, 37, .065);
    }
}

@media (max-width: 1170px) {
    body.overflow-hidden {
        width: 100%;
        height: 100%;
        position: fixed;
        overflow-y: hidden;
        -webkit-overflow-scrolling: touch;
    }

    .articles-content {
        grid-template-columns: repeat(3, 1fr);
    }

    .header-content .header {
        height: 80px;
        align-items: center;
    }

    .header-content .header img {
        margin-bottom: -4px;
    }

    .header-content .header > div {
        z-index: 1;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        margin: 0 10px;
    }

    .header-content .header > div ul.navbar-items-content:not(.show) {
        height: 0;
    }

    .header-content .header > div ul.navbar-items-content {
        width: 100%;
        height: calc(100vh - 80px);
        position: absolute;
        top: 80px;
        left: 0;
        overflow-y: auto;
        flex-direction: column;
        background-color: #252525;

        -moz-transition: height .5s ease;
        -webkit-transition: height .5s ease;
        -o-transition: height .5s ease;
        transition: height .5s ease;
    }

    .header-content .header > div ul.navbar-items-content li a {
        height: 25px;
        padding-left: 0;
        margin-left: 20px;
        margin-top: 20px;
        color: #FFF;
    }

    .header-content .header > div ul.navbar-items-content li a.active,
    .header-content .header > div ul.navbar-items-content li a:hover {
        background-image: linear-gradient(#FFF,#FFF);
    }

    .header-content .header > div > i.mobile-bar-icon {
        width: 32px;
        height: 32px;
        display: block;
        cursor: pointer;
    }

    .footer-content .footer > div {
        margin: 0 10px;
    }

    .footer-content .footer > div .footer-pages a {
        font-size: 16px;
    }

    .data-content {
        padding: 40px 10px 60px 10px;
    }
}

@media (max-width: 768px) {
    .data-content {
        min-height: calc(100vh - 220px);
    }

    .articles-content {
        grid-template-columns: repeat(2, 1fr);
    }

    .not-found {
        height: calc(100vh - 360px);
    }

    .pagination ul {
        gap: 5px;
    }

    .pagination li a {
        min-width: 38px;
        height: 38px;
        font-size: 15px;
        padding: 5px;
    }
}

@media (max-width: 550px) {
    .data-content {
        min-height: calc(100vh - 260px);
    }

    .not-found {
        height: calc(100vh - 420px);
    }

    .footer-content > .footer {
        height: 180px;
        padding-bottom: 30px;
    }

    .mailto {
        flex-direction: column !important;
    }

    .mailto span {
        font-size: 14px;
    }
}

@media (max-width: 539px) {
    .articles-content {
        grid-template-columns: repeat(1, 1fr);
        column-gap: 0;
    }

    .article {
        width: calc(100% - 20px);
        margin: auto;
    }

    .article img {
        width: 100%;
        height: 300px;
    }
}